build: specify pre-v2 change version of ndn-cxx, ChronoSync in Jenkins file
Change-Id: I4c1a13542444821df6455958cdbbd9685c017337
refs: #3920 #4119
diff --git a/.jenkins.d/10-ndn-cxx.sh b/.jenkins.d/10-ndn-cxx.sh
index 0d4239e..8b9441a 100755
--- a/.jenkins.d/10-ndn-cxx.sh
+++ b/.jenkins.d/10-ndn-cxx.sh
@@ -17,28 +17,38 @@
fi
fi
-if [[ -z $INSTALLED_VERSION ]]; then
- INSTALLED_VERSION=$((cd ndn-cxx && git rev-parse HEAD) 2>/dev/null || echo NONE)
-fi
+## Uncomment when #3920 and #4119 merge.
+# if [[ -z $INSTALLED_VERSION ]]; then
+# INSTALLED_VERSION=$((cd ndn-cxx && git rev-parse HEAD) 2>/dev/null || echo NONE)
+# fi
sudo rm -Rf ndn-cxx-latest
-
-git clone --depth 1 git://github.com/named-data/ndn-cxx ndn-cxx-latest
-
-LATEST_VERSION=$((cd ndn-cxx-latest && git rev-parse HEAD) 2>/dev/null || echo UNKNOWN)
-
-if [[ $INSTALLED_VERSION != $LATEST_VERSION ]]; then
- sudo rm -Rf ndn-cxx
- mv ndn-cxx-latest ndn-cxx
-else
- sudo rm -Rf ndn-cxx-latest
+## Remove this when #3920 and #4119 merge
+if [ ! -d "ndn-cxx-hotfix" ]; then
+ ## Remove '-hotfix' off the end when #3920 and #4119 merge.
+ git clone git://github.com/named-data/ndn-cxx ndn-cxx-hotfix
fi
+## Uncomment when #3920 and #4119 merge.
+# LATEST_VERSION=$((cd ndn-cxx-latest && git rev-parse HEAD) 2>/dev/null || echo UNKNOWN)
+
+# if [[ $INSTALLED_VERSION != $LATEST_VERSION ]]; then
+# sudo rm -Rf ndn-cxx
+# mv ndn-cxx-latest ndn-cxx
+# cp ndn-cxx ndn-cxx-hotfix
+# else
+# sudo rm -Rf ndn-cxx-latest
+# fi
+
sudo rm -Rf /usr/local/include/ndn-cxx
sudo rm -f /usr/local/lib/libndn-cxx*
sudo rm -f /usr/local/lib/pkgconfig/libndn-cxx*
-pushd ndn-cxx >/dev/null
+## Change to the hotfix directory instead of the normal ndn-cxx directory
+## Restore below line when #3920 and #4119 merge.
+#pushd ndn-cxx >/dev/null
+pushd ndn-cxx-hotfix >/dev/null
+git checkout b555b00c280b9c9ed46f24a1fbebc73b720601af
./waf configure -j1 --color=yes --enable-shared --disable-static --without-osx-keychain
./waf -j1 --color=yes